Name:          java-xmlbuilder
Version:       0.4
Release:       1%{?dist}
Summary:       XML Builder Java library for creating XML documents
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://code.google.com/p/java-xmlbuilder/
# svn export http://java-xmlbuilder.googlecode.com/svn/tags/java-xmlbuilder-0.4
# find java-xmlbuilder-0.4 -name '*.jar' -delete
# find java-xmlbuilder-0.4 -name '*.class' -delete
# tar czf java-xmlbuilder-0.4-clean-src-svn.tar.gz java-xmlbuilder-0.4
Source0:       %{name}-%{version}-clean-src-svn.tar.gz
# remove maven-gpg-plugin maven-source-plugin support
Patch0:        %{name}-%{version}-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

# test deps
BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.

It is intended to allow for quick and painless creation of XML documents 
where you might otherwise be tempted to use concatenated strings, and 
where you would rather not face the tedium and verbosity of coding with JAXP.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Jul 02 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm